osl::eval::ml::King25EffectEachBothOpening Class Reference

`#include <kingTable.h>`

## Public Types

enum | { DIM = 5 * 3 * STATE_MAX * 3 }

## Static Public Member Functions

static void | setUp (const Weights &weigths)

## Detailed Description

Definition at line 540 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 543 of file kingTable.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::King25EffectEachBothOpening::setUp | ( | const Weights & | weigths | ) |

static

Definition at line 861 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), osl::eval::ml::King25EffectEachBoth::table, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc